OrcProto.BloomFilterIndex.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.BloomFilterIndex.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilterIndex.Builder>
      - - org.apache.orc.OrcProto.BloomFilterIndex.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.BloomFilterIndexOrBuilder
  Enclosing class:
    OrcProto.BloomFilterIndex

      public static final class OrcProto.BloomFilterIndex.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilterIndex.Builder>
      implements OrcProto.BloomFilterIndexOrBuilder

  Protobuf type `orc.proto.BloomFilterIndex`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.BloomFilterIndex.Builder` | `addAllBloomFilter(Iterable<? extends OrcProto.BloomFilter> values)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterIndex.Builder` | `addBloomFilter(int index, OrcProto.BloomFilter.Builder builderForValue)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterIndex.Builder` | `addBloomFilter(int index, OrcProto.BloomFilter value)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterIndex.Builder` | `addBloomFilter(OrcProto.BloomFilter.Builder builderForValue)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterIndex.Builder` | `addBloomFilter(OrcProto.BloomFilter value)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilter.Builder` | `addBloomFilterBuilder()` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilter.Builder` | `addBloomFilterBuilder(int index)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterIndex` | `build()`
    `OrcProto.BloomFilterIndex` | `buildPartial()`
    `OrcProto.BloomFilterIndex.Builder` | `clear()`
    `OrcProto.BloomFilterIndex.Builder` | `clearBloomFilter()` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterIndex.Builder` | `clone()`
    `OrcProto.BloomFilter` | `getBloomFilter(int index)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilter.Builder` | `getBloomFilterBuilder(int index)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `List<OrcProto.BloomFilter.Builder>` | `getBloomFilterBuilderList()` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `int` | `getBloomFilterCount()` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `List<OrcProto.BloomFilter>` | `getBloomFilterList()` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterOrBuilder` | `getBloomFilterOrBuilder(int index)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `List<? extends OrcProto.BloomFilterOrBuilder>` | `getBloomFilterOrBuilderList()` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterIndex` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.BloomFilterIndex.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.BloomFilterIndex.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.BloomFilterIndex.Builder` | `mergeFrom(OrcProto.BloomFilterIndex other)`
    `OrcProto.BloomFilterIndex.Builder` | `removeBloomFilter(int index)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterIndex.Builder` | `setBloomFilter(int index, OrcProto.BloomFilter.Builder builderForValue)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`
    `OrcProto.BloomFilterIndex.Builder` | `setBloomFilter(int index, OrcProto.BloomFilter value)` `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilterIndex.Builder>`

    - #### clear

          public OrcProto.BloomFilterIndex.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilterIndex.Builder>`

    - #### clone

          public OrcProto.BloomFilterIndex.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilterIndex.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilterIndex.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.BloomFilterIndex getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.BloomFilterIndex build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.BloomFilterIndex buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.BloomFilterIndex.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.BloomFilterIndex.Builder>`

    - #### mergeFrom

          public OrcProto.BloomFilterIndex.Builder mergeFrom(OrcProto.BloomFilterIndex other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.BloomFilterIndex.Builder>`

    - #### mergeFrom

          public OrcProto.BloomFilterIndex.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.BloomFilterIndex.Builder>`
      Throws:
        `IOException`

    - #### getBloomFilterList

          public List<OrcProto.BloomFilter> getBloomFilterList()

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`
      Specified by:
        `getBloomFilterList` in interface `OrcProto.BloomFilterIndexOrBuilder`

    - #### getBloomFilterCount

          public int getBloomFilterCount()

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`
      Specified by:
        `getBloomFilterCount` in interface `OrcProto.BloomFilterIndexOrBuilder`

    - #### getBloomFilter

          public OrcProto.BloomFilter getBloomFilter(int index)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`
      Specified by:
        `getBloomFilter` in interface `OrcProto.BloomFilterIndexOrBuilder`

    - #### setBloomFilter

          public OrcProto.BloomFilterIndex.Builder setBloomFilter(int index,
                                                                  OrcProto.BloomFilter value)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### setBloomFilter

          public OrcProto.BloomFilterIndex.Builder setBloomFilter(int index,
                                                                  OrcProto.BloomFilter.Builder builderForValue)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### addBloomFilter

          public OrcProto.BloomFilterIndex.Builder addBloomFilter(OrcProto.BloomFilter value)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### addBloomFilter

          public OrcProto.BloomFilterIndex.Builder addBloomFilter(int index,
                                                                  OrcProto.BloomFilter value)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### addBloomFilter

          public OrcProto.BloomFilterIndex.Builder addBloomFilter(OrcProto.BloomFilter.Builder builderForValue)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### addBloomFilter

          public OrcProto.BloomFilterIndex.Builder addBloomFilter(int index,
                                                                  OrcProto.BloomFilter.Builder builderForValue)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### addAllBloomFilter

          public OrcProto.BloomFilterIndex.Builder addAllBloomFilter(Iterable<? extends OrcProto.BloomFilter> values)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### clearBloomFilter

          public OrcProto.BloomFilterIndex.Builder clearBloomFilter()

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### removeBloomFilter

          public OrcProto.BloomFilterIndex.Builder removeBloomFilter(int index)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### getBloomFilterBuilder

          public OrcProto.BloomFilter.Builder getBloomFilterBuilder(int index)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### getBloomFilterOrBuilder

          public OrcProto.BloomFilterOrBuilder getBloomFilterOrBuilder(int index)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`
      Specified by:
        `getBloomFilterOrBuilder` in interface `OrcProto.BloomFilterIndexOrBuilder`

    - #### getBloomFilterOrBuilderList

          public List<? extends OrcProto.BloomFilterOrBuilder> getBloomFilterOrBuilderList()

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`
      Specified by:
        `getBloomFilterOrBuilderList` in interface `OrcProto.BloomFilterIndexOrBuilder`

    - #### addBloomFilterBuilder

          public OrcProto.BloomFilter.Builder addBloomFilterBuilder()

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### addBloomFilterBuilder

          public OrcProto.BloomFilter.Builder addBloomFilterBuilder(int index)

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

    - #### getBloomFilterBuilderList

          public List<OrcProto.BloomFilter.Builder> getBloomFilterBuilderList()

      `repeated .orc.proto.BloomFilter bloomFilter = 1;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.